﻿using System.Windows;

namespace Infragistics.Samples
{ 
    public class DataPoint  
    {
        public DataPoint() : this(double.NaN, double.NaN, double.NaN)
        { }

        public DataPoint(double x, double y, double z)
        {
            this.X = x;
            this.Y = y;
            this.Z = z;
        }

        #region Properties
        public double X { get; set; }
        public double Y { get; set; }
        public double Z { get; set; }

        public string Label { get; set; }
                 
        #endregion

        public override string ToString()
        {
            return string.Format("X {0:##0.000}, Y {1:##0.000}, Z {2:##0.000}\n", X, Y, Z);
        }

    }

}
